<?php
/**
 * BarberPro category metaboxes
 *
 * Register category metabox for the theme with the barberpro_do_category_metaboxes function
 * This function can be overwritten in a child theme
 *
 * @package WordPress
 * @subpackage BarberPro
 * @version 2.0.8
 */

if ( ! defined( 'ABSPATH' ) ) {
	exit; // Exit if accessed directly
}

if ( ! function_exists( 'barberpro_do_category_metaboxes' ) ) {
	/**
	 * Set theme metaboxes
	 *
	 * Allow to add specific style options for each page
	 * @since BarberPro 1.0.0
	 */
	function barberpro_do_category_metaboxes() {
		$category_metaboxes = array(
			array(
				'label' => esc_html__( 'Blog layout', 'barberpro' ),
				'id' =>'blog_layout',
				'type' => 'select',
				'choices' => array(
					'' => esc_html__( 'Default (set in the customizer options)', 'barberpro' ),
					'standard' => esc_html__( 'Standard', 'barberpro' ),
					'fullwidth' => esc_html__( 'Full width', 'barberpro' ),
					'sidebar-left' => esc_html__( 'Sidebar at left', 'barberpro' ),
					'sidebar-right' => esc_html__( 'Sidebar at right', 'barberpro' ),
				),
			),

			array(
				'label' => esc_html__( 'Blog display', 'barberpro' ),
				'id' =>'blog_display',
				'type' => 'select',
				'choices' => array(
					'' => esc_html__( 'Default (set in the customizer options)', 'barberpro' ),
					'standard' => esc_html__( 'Standard', 'barberpro' ),
					'classic' => esc_html__( 'Classic', 'barberpro' ),
					'grid' => esc_html__( 'Square grid', 'barberpro' ),
					'column' => esc_html__( 'Columns', 'barberpro' ),
					'masonry' => esc_html__( 'Masonry', 'barberpro' ),
					'metro' => esc_html__( 'Metro', 'barberpro' ),
					'medium-image' => esc_html__( 'Medium image', 'barberpro' ),
					'photo' => esc_html__( 'Photo', 'barberpro' ),
				),
			),

			array(
				'id' => 'blog_grid_padding',
				'label' => esc_html__( 'Padding (for grid style display only)', 'barberpro' ),
				'type' => 'select',
				'choices' => array(
					'yes' => esc_html__( 'Yes', 'barberpro' ),
					'no' => esc_html__( 'No', 'barberpro' ),
				),
				'transport' => 'postMessage',
			),
		);
		$barberpro_do_category_metaboxes = new Wolf_Theme_Admin_Category_Meta( $category_metaboxes );
	}
	//barberpro_do_category_metaboxes();
}