<?php
/**
 * BarberPro custom CSS
 *
 * @package WordPress
 * @subpackage BarberPro
 * @since BarberPro 1.0.0
 */

if ( ! defined( 'ABSPATH' ) ) {
	exit; // Exit if accessed directly
}

function barberpro_set_css_options( $barberpro_options ) {

	if ( is_child_theme() ) {
		$help = esc_html__( 'Want to add any custom CSS code? Put in here, and the rest is taken care of.', 'barberpro' );
	} else {
		$help = sprintf(
			__( 'Want to add any custom CSS code? Put in here, and the rest is taken care of. If you need more advanced style customization, it is strongly recommended to use a <a href="%s" target="_blank">child theme</a>.', 'barberpro' ),
			'http://codex.wordpress.org/Child_Themes'
		);
	}

	$barberpro_options[] =  array(
		'type' => 'open',
		'label' =>esc_html__( 'CSS', 'barberpro' ),
	);

		$barberpro_options[] =  array(
			'label' => esc_html__( 'Custom CSS', 'barberpro' ),
			'type' => 'section_open',
			'desc' => $help,
		);

		$barberpro_options[] =  array(
			// 'label' => esc_html__( 'Custom CSS', 'barberpro' ),
			'id' => 'custom_css',
			'type' => 'css',
		);

		$barberpro_options[] =  array( 'type' => 'section_close' );

	$barberpro_options[] =  array( 'type' => 'close' );

	return $barberpro_options;
}
add_filter( 'wolf_theme_options', 'barberpro_set_css_options' );