<?php
/**
 * BarberPro fonts options
 *
 * @package WordPress
 * @subpackage BarberPro
 * @since BarberPro 1.0.0
 */

if ( ! defined( 'ABSPATH' ) ) {
	exit; // Exit if accessed directly
}

function barberpro_set_font_options( $barberpro_options ) {

	$barberpro_options[] = array(
		'type' => 'open',
		'label' => esc_html__( 'Fonts Loader', 'barberpro' ),
	);

		$barberpro_options[] = array(
			'label' => esc_html__( 'Fonts', 'barberpro' ),
			'type' => 'section_open',
			'desc' => sprintf(
				wp_kses(
						__( 'Loads your fonts here then select which font to use in the <a href="%s">customizer</a>.', 'barberpro' ),
						array( 'a' => array( 'href' => array() ) )
					),
					esc_url( admin_url( 'customize.php' ) )
				),
		);

			$barberpro_options[] = array(
				'label' => esc_html__( 'Google Fonts Loader', 'barberpro' ),
				'id' => 'google_fonts',
				'desc' => sprintf( wp_kses(
						__( 'You can get your fonts on the <a href="%s" target="_blank">Google Fonts</a> website.', 'barberpro' ),
						array( 'a' => array( 'href' => array(), 'target' => array() ) )
					),
					esc_url( 'https://www.google.com/fonts' )
				),
				'placeholder' => 'Lora:400,700|Roboto:400,700',
				'type' => 'text',
				'size' => 'long',
				'help' => 'google-fonts.jpg',
			);

			$barberpro_options[] = array(
				'label' => esc_html__( 'Typekit Fonts Loader', 'barberpro' ),
				'id' => 'typekit_fonts',
				'desc' => sprintf(
					wp_kses_post(
						__( 'You need <a href="%s" target="_blank">Typekit Fonts for WordPress</a> plugin to import your font kit into your website. Once your font kit is imported, add your font names separted by a "|"  in this field to be able to select them in the customizer. <a href="%s" target="_blank">More infos</a>', 'barberpro' )
					),
					esc_url( 'https://wordpress.org/plugins/typekit-fonts-for-wordpress/' ),
					esc_url( 'https://docs.wolfthemes.com/document/add-typekit-fonts-theme/' )
				),
				'placeholder' => 'adobe-caslon-pro|other-font',
				'type' => 'text',
				'size' => 'long',
				'help' => 'typekit.png',
			);

		$barberpro_options[] = array( 'type' => 'section_close' );

	$barberpro_options[] = array( 'type' => 'close' );

	return $barberpro_options;
}
add_filter( 'wolf_theme_options', 'barberpro_set_font_options' );
