<?php
/**
 * BarberPro share options
 *
 * @package WordPress
 * @subpackage BarberPro
 * @since BarberPro 1.0.0
 */

if ( ! defined( 'ABSPATH' ) ) {
	exit; // Exit if accessed directly
}

function barberpro_set_share_options( $barberpro_options ) {

	$barberpro_options[] = array(
		'type' => 'open', 
		'label' =>esc_html__( 'Social Sharing', 'barberpro' )
	);

		$barberpro_options[] = array(
			'label' => esc_html__( 'Display', 'barberpro' ),
			'type' => 'section_open',
		);

		$barberpro_options[] = array(
			'label' => esc_html__( 'Share Links', 'barberpro' ),
			'desc' => esc_html__( 'Display "share" links below each single post ?', 'barberpro' ),
			'id' => 'post_share_buttons',
			'type' => 'checkbox',
		);

		$barberpro_options[] = array(
			'label' => esc_html__( 'Generate Facebook & Google plus Meta', 'barberpro' ),
			'desc' => wp_kses(
				sprintf( 
					__( 'Would you like to generate facebook, twitter and google plus metadata? Disable this function if you use a SEO plugin. In case <a href="%s" target="_blank">Yoast SEO</a> plugin is installed, it will be automatically disabled.', 'barberpro' ),
					'https://wordpress.org/plugins/wordpress-seo/'
				),
				array(
					'br' => array(),
					'a' => array(
						'href' => array(),
						'target' => array(),
					),
				)
			),
			'id' => 'social_meta',
			'type' => 'checkbox',
		);

		$barberpro_options[] = array(
			'label' => esc_html__( 'Default Share Image (used for facebook and google plus)', 'barberpro' ),
			'desc' => esc_html__( 'By default, the post featured image will be shown when you share a post/page on facebook. Here you can set the default image that will be displayed if no featured image is set', 'barberpro' ),
			'id' => 'share_img',
			'type' => 'image',
		);

		$barberpro_options[] = array(
			'label' => esc_html__( 'Share Text', 'barberpro' ),
			'id' => 'share_text',
			'type' => 'text',
		);

		$barberpro_options[] = array(
			'label' => 'facebook',
			'id' => 'share_facebook',
			'type' => 'checkbox',
		);

		$barberpro_options[] = array(
			'label' => 'twitter',
			'id' => 'share_twitter',
			'type' => 'checkbox',
		);

		$barberpro_options[] = array(
			'label' => 'pinterest',
			'id' => 'share_pinterest',
			'type' => 'checkbox',
		);

		$barberpro_options[] = array(
			'label' => 'google plus',
			'id' => 'share_google',
			'type' => 'checkbox',
		);

		$barberpro_options[] = array(
			'label' => 'tumblr',
			'id' => 'share_tumblr',
			'type' => 'checkbox',
		);

		$barberpro_options[] = array(
			'label' => 'stumbleupon',
			'id' => 'share_stumbleupon',
			'type' => 'checkbox',
		);

		$barberpro_options[] = array(
			'label' => 'linked in',
			'id' => 'share_linkedin',
			'type' => 'checkbox',
		);

		$barberpro_options[] = array(
			'label' => 'email',
			'id' => 'share_mail',
			'type' => 'checkbox',
		);

		$barberpro_options[] = array( 'type' => 'section_close' );


	$barberpro_options[] = array( 'type' => 'close' );

	return $barberpro_options;
}
add_filter( 'wolf_theme_options', 'barberpro_set_share_options' );