<?php
/**
 * BarberPro albums
 *
 * @package WordPress
 * @subpackage BarberPro
 * @since BarberPro 1.0.0
 */

if ( ! defined( 'ABSPATH' ) ) {
	exit; // Exit if accessed directly
}

function barberpro_set_albums_mods( $barberpro_mods ) {

	if ( class_exists( 'Wolf_Albums' ) ) {
		$barberpro_mods['wolf_albums'] = array(
			'priority' => 45,
			'id' => 'wolf_albums',
			'title' => esc_html__( 'Albums', 'barberpro' ),
			'icon' => 'camera',
			'options' => array(

				'albums_layout' => array(
					'id' => 'albums_layout',
					'label' => esc_html__( 'Layout', 'barberpro' ),
					'type' => 'select',
					'choices' => array(
						'standard' => esc_html__( 'Standard', 'barberpro' ),
						'fullwidth' => esc_html__( 'Full width', 'barberpro' ),
						'sidebar-right' => esc_html__( 'Sidebar at right', 'barberpro' ),
						'sidebar-left' => esc_html__( 'Sidebar at left', 'barberpro' ),
					),
					'transport' => 'postMessage',
				),

				'albums_padding' => array(
					'id' => 'albums_padding',
					'label' => esc_html__( 'Padding', 'barberpro' ),
					'type' => 'select',
					'choices' => array(
						'yes' => esc_html__( 'Yes', 'barberpro' ),
						'no' => esc_html__( 'No', 'barberpro' ),
					),
					'transport' => 'postMessage',
				),

				'albums_columns' => array(
					'id' => 'albums_columns',
					'label' => esc_html__( 'Columns', 'barberpro' ),
					'type' => 'select',
					'choices' => array(
						3 => 3, 
						2 => 2, 
						4 => 4, 
						5 => 5, 
						6 => 6,
					),
					'transport' => 'postMessage',
				),

				'album_cover_thumbnail_size' => array(
					'id' => 'album_cover_thumbnail_size',
					'label' => esc_html__( 'Album Cover Size', 'barberpro' ),
					'type' => 'select',
					'choices' => array(
						'barberpro-thumb' => esc_html__( 'Standard', 'barberpro' ),
						'barberpro-2x1' => esc_html__( 'Landscape', 'barberpro' ),
						'barberpro-2x2' => esc_html__( 'Square', 'barberpro' ),
						'barberpro-portrait' => esc_html__( 'Portrait', 'barberpro' ),
					),
				),
			),
		);
	}

	return $barberpro_mods;
}
add_filter( 'barberpro_customizer_options', 'barberpro_set_albums_mods' );