<?php
/**
 * BarberPro blog
 *
 * @package WordPress
 * @subpackage BarberPro
 * @since BarberPro 1.0.0
 */

if ( ! defined( 'ABSPATH' ) ) {
	exit; // Exit if accessed directly
}

function barberpro_set_blog_mods( $barberpro_mods ) {

	$barberpro_mods['blog'] = array(
		'id' => 'blog',
		'icon' => 'welcome-write-blog',
		'title' => esc_html__( 'Blog', 'barberpro' ),
		'options' => array(

			'blog_layout' => array(
				'id' =>'blog_layout',
				'label' => esc_html__( 'Blog Layout', 'barberpro' ),
				'type' => 'select',
				'choices' => array(
					'standard' => esc_html__( 'Standard', 'barberpro' ),
					'fullwidth' => esc_html__( 'Full width', 'barberpro' ),
					'sidebar-right' => esc_html__( 'Sidebar at right', 'barberpro' ),
					'sidebar-left' => esc_html__( 'Sidebar at left', 'barberpro' ),
				),
				'transport' => 'postMessage',
			),

			'blog_display' => array(
				'id' =>'blog_display',
				'label' => esc_html__( 'Blog Display', 'barberpro' ),
				'type' => 'select',
				'choices' => apply_filters( 'barberpro_blog_display_options', array(
					'classic' => esc_html__( 'Classic', 'barberpro' ),
					'grid2' => esc_html__( 'Grid', 'barberpro' ),
				) ),
			),

			'blog_more_link_type' => array(
				'id' => 'blog_more_link_type',
				'label' => esc_html__( 'More Link Type', 'barberpro' ),
				'type' => 'select',
				'choices' => array(
					'wolf-button' => esc_html__( 'Button', 'barberpro' ),
					'wolf-more-text' => esc_html__( 'Text', 'barberpro' ),
				),
				//'transport' => 'postMessage',
			),

			'blog_category_filter' => array(
				'label' => esc_html__( 'Display category filter if available', 'barberpro' ),
				'id' => 'blog_category_filter',
				'type' => 'checkbox',
			),

			'blog_infinitescroll' => array(
				'label' => esc_html__( 'Infinite scroll', 'barberpro' ),
				'id' => 'blog_infinitescroll',
				'type' => 'checkbox',
			),

			'blog_infinitescroll_trigger' => array(
				'label' => esc_html__( 'Trigger infinite scroll with button', 'barberpro' ),
				'id' => 'blog_infinitescroll_trigger',
				'type' => 'checkbox',
			),

			'blog_grid_padding' => array(
				'id' => 'blog_grid_padding',
				'label' => esc_html__( 'Padding (for grid style display only)', 'barberpro' ),
				'type' => 'select',
				'choices' => array(
					'yes' => esc_html__( 'Yes', 'barberpro' ),
					'no' => esc_html__( 'No', 'barberpro' ),
				),
				'transport' => 'postMessage',
			),

			'blog_post_navigation_type' => array(
				'id' =>'blog_post_navigation_type',
				'label' => esc_html__( 'Blog Single Post Navigation Type', 'barberpro' ),
				'type' => 'select',
				'choices' => array(
					'standard' => esc_html__( 'Previous and next post', 'barberpro' ),
					'related' => esc_html__( 'Related posts', 'barberpro' ),
					'both' => esc_html__( 'Standard navigation + Related posts', 'barberpro' ),
					'none' => esc_html__( 'No Navigation', 'barberpro' ),
				),
			),

			'date_format' => array(
				'id' =>'date_format',
				'label' => esc_html__( 'Date Format', 'barberpro' ),
				'type' => 'select',
				'choices' => array(
					'standard' => esc_html__( 'Standard', 'barberpro' ),
					'human_diff' => esc_html__( 'Differential ( e.g: 10 days ago )', 'barberpro' ),
				),
			),

			'blog_hide_date' => array(
				'label' => esc_html__( 'Hide date', 'barberpro' ),
				'id' => 'blog_hide_date',
				'type' => 'checkbox',
			),

			'blog_hide_author' => array(
				'label' => esc_html__( 'Hide author', 'barberpro' ),
				'id' => 'blog_hide_author',
				'type' => 'checkbox',
			),

			'blog_hide_category' => array(
				'label' => esc_html__( 'Hide category', 'barberpro' ),
				'id' => 'blog_hide_category',
				'type' => 'checkbox',
			),

			'blog_hide_tags' => array(
				'label' => esc_html__( 'Hide tags', 'barberpro' ),
				'id' => 'blog_hide_tags',
				'type' => 'checkbox',
			),

			'blog_hide_comments_count' => array(
				'label' => esc_html__( 'Hide comments count', 'barberpro' ),
				'id' => 'blog_hide_comments_count',
				'type' => 'checkbox',
			),

			'blog_hide_views' => array(
				'label' => esc_html__( 'Hide views', 'barberpro' ),
				'id' => 'blog_hide_views',
				'type' => 'checkbox',
			),

			'blog_hide_likes' => array(
				'label' => esc_html__( 'Hide likes', 'barberpro' ),
				'id' => 'blog_hide_likes',
				'type' => 'checkbox',
			),
		),
	);


	return $barberpro_mods;
}
add_filter( 'barberpro_customizer_options', 'barberpro_set_blog_mods' );