<?php
/**
 * BarberPro colors
 *
 * @package WordPress
 * @subpackage BarberPro
 * @since BarberPro 1.0.0
 */

if ( ! defined( 'ABSPATH' ) ) {
	exit; // Exit if accessed directly
}

function barberpro_set_color_scheme_mods( $barberpro_mods ) {

	$color_scheme = barberpro_get_color_scheme();

	$barberpro_mods['colors'] = array(
		'id' => 'colors',
		'icon' => 'admin-customizer',
		'title' => esc_html__( 'Colors', 'barberpro' ),
		'options' => array(
			array(
				'label' => esc_html__( 'Color scheme', 'barberpro' ),
				'id' => 'color_scheme',
				'type' => 'select',
				'choices'  => barberpro_get_color_scheme_choices(),
				'transport' => 'postMessage',
			),
			array(
				'id' => 'body_background_color',
				'label' => esc_html__( 'Background Color', 'barberpro' ),
				'description' => esc_html__( 'Only visible with the boxed layout.', 'barberpro' ),
				'type' => 'color',
				'transport' => 'postMessage',
				'default' => $color_scheme[0],
			),
			array(
				'id' => 'page_background_color',
				'label' => esc_html__( 'Page Background Color', 'barberpro' ),
				'type' => 'color',
				'transport' => 'postMessage',
				'default' => $color_scheme[1],
			),
			array(
				'id' => 'accent_color',
				'label' => esc_html__( 'Accent Color', 'barberpro' ),
				'type' => 'color',
				'transport' => 'postMessage',
				'default' => $color_scheme[2],
			),
			array(
				'id' => 'main_text_color',
				'label' => esc_html__( 'Main Text Color', 'barberpro' ),
				'type' => 'color',
				'transport' => 'postMessage',
				'default' => $color_scheme[3],
			),
			array(
				'id' => 'secondary_text_color',
				'label' => esc_html__( 'Secondary Text Color', 'barberpro' ),
				'type' => 'color',
				'transport' => 'postMessage',
				'default' => $color_scheme[4],
			),
			array(
				'id' => 'strong_text_color',
				'label' => esc_html__( 'Strong Text Color', 'barberpro' ),
				'type' => 'color',
				'transport' => 'postMessage',
				'default' => $color_scheme[5],
			),

			array(
				'id' =>'submenu_background_color',
				'label' => esc_html__( 'Submenu Background Color', 'barberpro' ),
				'type' => 'color',
				'transport' => 'postMessage',
				'default' => $color_scheme[6],
			),

			array(
				'id' =>'entry_content_background_color',
				'label' => esc_html__( 'Entry Content Background Color', 'barberpro' ),
				'type' => 'color',
				'transport' => 'postMessage',
				'default' => $color_scheme[7],
			),
		),
	);

	if ( class_exists( 'WooCommerce' ) ) {
		$barberpro_mods['colors']['options'][] = array(
			'id' =>'product_tabs_background_color',
			'label' => esc_html__( 'Product Tabs Background Color', 'barberpro' ),
			'type' => 'color',
			'transport' => 'postMessage',
			'default' => $color_scheme[8],
		);

		$barberpro_mods['colors']['options'][] = array(
			'id' =>'product_tabs_text_color',
			'label' => esc_html__( 'Product Tabs Text Color', 'barberpro' ),
			'type' => 'color',
			'transport' => 'postMessage',
			'default' => $color_scheme[9],
		);
	}

	return $barberpro_mods;

}
add_filter( 'barberpro_customizer_options', 'barberpro_set_color_scheme_mods' );