<?php
/**
 * BarberPro footer
 *
 * @package WordPress
 * @subpackage BarberPro
 * @since BarberPro 1.0.0
 */

if ( ! defined( 'ABSPATH' ) ) {
	exit; // Exit if accessed directly
}

function barberpro_set_footer_mods( $barberpro_mods ) {

	$barberpro_mods['footer'] = array(

		'id' => 'footer',
		'title' => esc_html__( 'Footer', 'barberpro' ),
		'icon' => 'minus',
		'options' => array(

			array(
				'label' => esc_html__( 'Footer Width', 'barberpro' ),
				'id' => 'footer_layout',
				'type' => 'select',
				'choices' => array(
		 			'boxed' => esc_html__( 'Boxed', 'barberpro' ),
					'wide' => esc_html__( 'Wide', 'barberpro' ),
				),
				'transport' => 'postMessage',
			),

			array(
				'label' => esc_html__( 'Foot Widgets Layout', 'barberpro' ),
				'id' => 'footer_widgets_layout',
				'type' => 'select',
				'choices' => array(
		 			'3-cols' => esc_html__( '3 Columns', 'barberpro' ),
					'4-cols' => esc_html__( '4 Columns', 'barberpro' ),
					'one-half-two-quarter' => esc_html__( '1 Half/2 Quarters', 'barberpro' ),
					'two-quarter-one-half' => esc_html__( '2 Quarters/1 Half', 'barberpro' ),
				),
				'transport' => 'postMessage',
			),

			array(
				'label' => esc_html__( 'Scroll to Top Link Type', 'barberpro' ),
				'id' => 'scroll_to_top_link_type',
				'type' => 'select',
				'choices' => array(
		 			'arrow' => esc_html__( 'Arrow', 'barberpro' ),
					// 'text' => esc_html__( 'Text in footer', 'barberpro' ),
					'none' => esc_html__( 'None', 'barberpro' ),
				),
			),

			array(
				'label' => esc_html__( 'Scroll to Top Arrow Style', 'barberpro' ),
				'id' => 'scroll_to_top_arrow_style',
				'description' => esc_html__( 'If "arrow" if set above', 'barberpro' ),
				'type' => 'select',
				'choices' => array(
		 			'round' => esc_html__( 'Round', 'barberpro' ),
					'square' => esc_html__( 'Square', 'barberpro' ),
				),
				'transport' => 'postMessage',
			),

			array(
				'label' => esc_html__( 'Bottom Bar Layout', 'barberpro' ),
				'id' => 'bottom_bar_layout',
				'type' => 'select',
				'choices' => array(
		 			'default' => esc_html__( 'Default', 'barberpro' ),
					'centered' => esc_html__( 'Centered', 'barberpro' ),
				),
				'transport' => 'postMessage',
			),

			array(
				'id' => 'bottom_menu_item_separator',
				'label' => esc_html__( 'Botom Menu Separator', 'barberpro' ),
				'type' => 'text',
			),

			'copyright' => array(
				'id' => 'copyright',
				'label' => esc_html__( 'Copyright Text', 'barberpro' ),
				'type' => 'text',
			),
		),
	);

	return $barberpro_mods;
}
add_filter( 'barberpro_customizer_options', 'barberpro_set_footer_mods' );