<?php
/**
 * BarberPro header_settings
 *
 * @package WordPress
 * @subpackage BarberPro
 * @since BarberPro 1.0.0
 */

if ( ! defined( 'ABSPATH' ) ) {
	exit; // Exit if accessed directly
}

function barberpro_set_header_settings_mods( $barberpro_mods ) {

	$barberpro_mods['header_settings'] = array(

		'id' => 'header_settings',
		'title' => esc_html__( 'Header Settings', 'barberpro' ),
		'icon' => 'editor-table',
		'options' => array(

			'auto_header' => array(
				'id' =>'auto_header',
				'label' => esc_html__( 'Use the post featured image as header image.', 'barberpro' ),
				'type' => 'select',
				'choices' => array(
					'yes' => esc_html__( 'Yes', 'barberpro' ),
					'' => esc_html__( 'No', 'barberpro' ),
				),
			),

			'auto_header_type' => array(
				'label'	=> esc_html__( 'Page Header Type', 'barberpro' ),
				'id'	=> 'auto_header_type',
				'type'	=> 'select',
				'choices' => array(
					'standard' => esc_html__( 'Standard', 'barberpro' ),
					'big' => esc_html__( 'Big', 'barberpro' ),
					'small' => esc_html__( 'Small', 'barberpro' ),
					'breadcrumb' => esc_html__( 'Breadcrumb', 'barberpro' ),
					'none' => esc_html__( 'No header', 'barberpro' ),
				),
			),

			'auto_header_effect' => array(
				'id' =>'auto_header_effect',
				'label' => esc_html__( 'Header Image Effect', 'barberpro' ),
				'type' => 'select',
				'choices' => array(
					'parallax' => esc_html__( 'Parallax', 'barberpro' ),
					'zoomin' => esc_html__( 'Zoom', 'barberpro' ),
					'none' => esc_html__( 'None', 'barberpro' ),
				),
			),
		),
	);

	return $barberpro_mods;
}
add_filter( 'barberpro_customizer_options', 'barberpro_set_header_settings_mods' );