<?php
/**
 * BarberPro layout
 *
 * @package WordPress
 * @subpackage BarberPro
 * @since BarberPro 1.0.0
 */

if ( ! defined( 'ABSPATH' ) ) {
	exit; // Exit if accessed directly
}

function barberpro_set_layout_mods( $barberpro_mods ) {

	$barberpro_mods['layout'] = array(

		'id' => 'layout',
		'title' => esc_html__( 'Layout', 'barberpro' ),
		'icon' => 'layout',
		// 'description' => esc_html__( 'The accent color used for links and keypoints', 'barberpro' ),
		'options' => array(

			'site_layout' => array(
				'id' => 'site_layout',
				'label' => esc_html__( 'Site Layout', 'barberpro' ),
				'type' => 'select',
				'default' => 'wide',
				'choices' => array(
					'wide' => esc_html__( 'Wide', 'barberpro' ),
					'boxed' => esc_html__( 'Boxed', 'barberpro' ),
					'frame' => esc_html__( 'Frame', 'barberpro' ),
				),
				'transport' => 'postMessage',
			),

			'site_width' => array(
				'id' => 'site_width',
				'label' => esc_html__( 'Site Width for Boxed Layout', 'barberpro' ),
				'type' => 'text',
				'description' => esc_html__( 'Set the width of the site wrapper here if your layout is set to "boxed" above', 'barberpro' )
			),

			'site_margin' => array(
				'id' => 'site_margin',
				'label' => esc_html__( 'Site Margin for Frame Layout', 'barberpro' ),
				'type' => 'text',
				'description' => sprintf( esc_html__( 'Supports CSS format like %s', 'barberpro' ), '0px 0px 0px 0px' ),
			),

			'text_link_style' => array(
				'id' => 'text_link_style',
				'label' => esc_html__( 'Text Link Style', 'barberpro' ),
				'type' => 'select',
				'choices' => array(
					'colored' => esc_html__( 'Colored', 'barberpro' ),
					'colored_hover' => esc_html__( 'Colored on hover', 'barberpro' ),
				),
				//'transport' => 'postMessage',
			),

			'button_style' => array(
				'id' => 'button_style',
				'label' => esc_html__( 'Button Style', 'barberpro' ),
				'type' => 'select',
				'choices' => array(
					'default' => esc_html__( 'Default', 'barberpro' ),
					'square' => esc_html__( 'Square', 'barberpro' ),
					'round' => esc_html__( 'Round', 'barberpro' ),
				),
				'transport' => 'postMessage',
			),

			'lightbox' => array(
				'id' => 'lightbox',
				'label' => esc_html__( 'Lightbox', 'barberpro' ),
				'type' => 'select',
				'default' => 'swipebox',
				'choices' => array(
					'swipebox' => 'swipebox',
					'fancybox' => 'fancybox',
					'' => esc_html__( 'None', 'barberpro' ),
				),
				//'transport' => 'postMessage',
			),

			'do_lazyload' => array(
				'id' => 'do_lazyload',
				'label' => esc_html__( 'Lazyload images if possible', 'barberpro' ),
				'type' => 'checkbox',
			),
		),
	);

	return $barberpro_mods;
}
add_filter( 'barberpro_customizer_options', 'barberpro_set_layout_mods' );