<?php
/**
 * BarberPro loading
 *
 * @package WordPress
 * @subpackage BarberPro
 * @since BarberPro 1.0.0
 */

if ( ! defined( 'ABSPATH' ) ) {
	exit; // Exit if accessed directly
}

function barberpro_set_loading_mods( $barberpro_mods ) {

	$barberpro_mods['loading'] = array(

		'id' => 'loading',
		'title' => esc_html__( 'Loading', 'barberpro' ),
		'icon' => 'update',
		'options' => array(

			array(
				'label' => esc_html__( 'Loader', 'barberpro' ),
				'id' => 'loader_type',
				'help' => 'loaders.jpg',
				'type' => 'select',
				'choices' => array(
					'none'	 => esc_html__( 'None', 'barberpro' ),
		 			'loader1' => esc_html__( 'Rotating plane', 'barberpro' ),
					'loader2' => esc_html__( 'Double Pulse', 'barberpro' ),
					'loader3' => esc_html__( 'Wave', 'barberpro' ),
					'loader4' => esc_html__( 'Wandering cubes', 'barberpro' ),
					'loader5' => esc_html__( 'Pulse', 'barberpro' ),
					'loader6' => esc_html__( 'Chasing dots', 'barberpro' ),
					'loader7' => esc_html__( 'Three bounce', 'barberpro' ),
					'loader8' => esc_html__( 'Circle', 'barberpro' ),
					'loader9' => esc_html__( 'Cube grid', 'barberpro' ),
					'loader10' => esc_html__( 'Classic Loader', 'barberpro' ),
					'loader11' => esc_html__( 'Folding cube', 'barberpro' ),
					'loader12' => esc_html__( 'Ball Pulse', 'barberpro' ),
					'loader13' => esc_html__( 'Ball Grid Pulse', 'barberpro' ),
					//'loader14' => esc_html__( 'Ball Clip Rotate', 'barberpro' ),
					'loader15' => esc_html__( 'Ball Clip Rotate Pulse', 'barberpro' ),
					'loader16' => esc_html__( 'Ball Clip Rotate Pulse Multiple', 'barberpro' ),
					'loader17' => esc_html__( 'Ball Pulse Rise', 'barberpro' ),
					//'loader18' => esc_html__( 'Ball Rotate', 'barberpro' ),
					'loader19' => esc_html__( 'Ball Zigzag', 'barberpro' ),
					'loader20' => esc_html__( 'Ball Zigzag Deflect', 'barberpro' ),
					'loader21' => esc_html__( 'Ball Triangle Path', 'barberpro' ),
					'loader22' => esc_html__( 'Ball Scale', 'barberpro' ),
					'loader23' => esc_html__( 'Ball Line Scale', 'barberpro' ),
					'loader24' => esc_html__( 'Ball Line Scale Party', 'barberpro' ),
					'loader25' => esc_html__( 'Ball Scale Multiple', 'barberpro' ),
					'loader26' => esc_html__( 'Ball Pulse Sync', 'barberpro' ),
					'loader27' => esc_html__( 'Ball Beat', 'barberpro' ),
					'loader28' => esc_html__( 'Ball Scale Ripple Multiple', 'barberpro' ),
					'loader29' => esc_html__( 'Ball Spin Fade Loader', 'barberpro' ),
					'loader30' => esc_html__( 'Line Spin Fade Loader', 'barberpro' ),
					'loader31' => esc_html__( 'Pacman', 'barberpro' ),
					'loader32' => esc_html__( 'Ball Grid Beat ', 'barberpro' ),
					//'loader33' => esc_html__( 'Semi Cirlce Spin ', 'barberpro' ),
					//'loader34' => esc_html__( 'Ball ', 'barberpro' ),
					//'loader35' => esc_html__( 'Ball ', 'barberpro' ),
					//'loader36' => esc_html__( 'Ball ', 'barberpro' ),
				),
			),

			'loading_logo' => array(
				'id' => 'loading_logo',
				'label' => esc_html__( 'Optional Loading Logo', 'barberpro' ),
				'type' => 'image',
			),

			array(
				'label' => esc_html__( 'Loading Logo Animation', 'barberpro' ),
				'id' => 'loading_logo_animation',
				'description' => esc_html__( 'It is recommended to disabled the loader icon if you set a logo animation', 'barberpro' ),
				'help' => 'loaders.jpg',
				'type' => 'select',
				'choices' => array(
					'none'	 => esc_html__( 'None', 'barberpro' ),
		 			'pulse' => esc_html__( 'Pulse', 'barberpro' ),
					
				),
			),

			array(
				'label' => esc_html__( 'No Loading Overlay', 'barberpro' ),
				'id' => 'no_loading_overlay',
				'type' => 'checkbox',
			),

			array(
				'label' => esc_html__( 'No Transition Animation', 'barberpro' ),
				'id' => 'no_transition_overlay',
				'type' => 'checkbox',
			),

			array(
				'label' => esc_html__( 'No AJAX Progress Bar', 'barberpro' ),
				'description' => esc_html__( 'If AJAX navigation is set.', 'barberpro' ),
				'id' => 'no_ajax_progress_bar',
				'type' => 'checkbox',
			),
		),
	);
	return $barberpro_mods;
}
add_filter( 'barberpro_customizer_options', 'barberpro_set_loading_mods' );