<?php
/**
 * BarberPro shop
 *
 * @package WordPress
 * @subpackage BarberPro
 * @since BarberPro 1.0.0
 */

if ( ! defined( 'ABSPATH' ) ) {
	exit; // Exit if accessed directly
}

function barberpro_set_shop_mods( $barberpro_mods ) {

	if ( class_exists( 'WooCommerce' ) ) {
		$barberpro_mods['shop'] = array(
			'id' => 'shop',
			'title' => esc_html__( 'Shop', 'barberpro' ),
			'icon' => 'cart',
			'options' => array(

				'shop_layout' => array(
					'id' => 'shop_layout',
					'label' => esc_html__( 'Products Layout', 'barberpro' ),
					'type' => 'select',
					'choices' => array(
						'standard' => esc_html__( 'Standard', 'barberpro' ),
						'sidebar-right' => esc_html__( 'Sidebar at right', 'barberpro' ),
						'sidebar-left' => esc_html__( 'Sidebar at left', 'barberpro' ),
						'fullwidth' => esc_html__( 'Full width', 'barberpro' ),
					),
					'transport' => 'postMessage',
				),

				'shop_single_layout' => array(
					'id' => 'shop_single_layout',
					'label' => esc_html__( 'Single Product Layout', 'barberpro' ),
					'type' => 'select',
					'choices' => array(
						'fullwidth' => esc_html__( 'Full width', 'barberpro' ),
						//'standard' => esc_html__( 'Standard', 'barberpro' ),
						'sidebar-right' => esc_html__( 'Sidebar at right', 'barberpro' ),
						'sidebar-left' => esc_html__( 'Sidebar at left', 'barberpro' ),
					),
					'transport' => 'postMessage',
				),

				'shop_display' => array(
					'id' => 'shop_display',
					'label' => esc_html__( 'Display', 'barberpro' ),
					'type' => 'select',
					'choices' => apply_filters( 'barberpro_shop_display_options', array(
						'grid' => esc_html__( 'Default Grid', 'barberpro' ),
						'list' => esc_html__( 'List', 'barberpro' ),
					) ),
				),

				// 'shop_padding' => array(
				// 	'id' => 'shop_padding',
				// 	'label' => esc_html__( 'Padding', 'barberpro' ),
				// 	'type' => 'select',
				// 	'choices' => array(
				// 		'yes' => esc_html__( 'Yes', 'barberpro' ),
				// 		'no' => esc_html__( 'No', 'barberpro' ),
				// 	),
				// 	'transport' => 'postMessage',
				// ),

				'shop_columns' => array(
					'id' => 'shop_columns',
					'label' => esc_html__( 'Columns (for grid display only)', 'barberpro' ),
					'type' => 'select',
					'choices' => array(
						3 => 3,
						2 => 2, 
						4 => 4, 
						5 => 5, 
						6 => 6,
					),
					'transport' => 'postMessage',
				),

				'cart_menu_item' => array(
					'label' => esc_html__( 'Add a Cart Menu Item', 'barberpro' ),
					'id' => 'cart_menu_item',
					'type' => 'checkbox',
				),

				'cart_menu_item_icon' => array(
					'label' => esc_html__( 'Cart Menu Item Icon', 'barberpro' ),
					'id' => 'cart_menu_item_icon',
					'type' => 'select',
					'choices' => array(
						'ti-basket' => esc_html__( 'Basket', 'barberpro' ),
						'ti-cart' => esc_html__( 'Cart 1', 'barberpro' ),
						'fa-shopping-cart' => esc_html__( 'Cart 2', 'barberpro' ),
						'lnr-cart' => esc_html__( 'Cart 3', 'barberpro' ),

					),
				),

				'cart_menu_panel_icon' => array(
					'label' => esc_html__( 'Cart Menu Panel Icon', 'barberpro' ),
					'id' => 'cart_menu_panel_icon',
					'type' => 'select',
					'choices' => array(
						'ti-basket' => esc_html__( 'Basket', 'barberpro' ),
						'ti-cart' => esc_html__( 'Cart 1', 'barberpro' ),
						'fa fa-shopping-cart' => esc_html__( 'Cart 2', 'barberpro' ),
						'lnr-cart' => esc_html__( 'Cart 3', 'barberpro' ),
						'dashicons-cart' => esc_html__( 'Cart 4', 'barberpro' ),

					),
				),

				'products_per_page' => array(
					'label' => esc_html__( 'Products per Page', 'barberpro' ),
					'id' => 'products_per_page',
					'type' => 'text',
				),
			),
		);
	}

	return $barberpro_mods;
}
add_filter( 'barberpro_customizer_options', 'barberpro_set_shop_mods' );