<?php
/**
 * BarberPro Page Builder
 *
 * @package WordPress
 * @subpackage BarberPro
 * @since BarberPro 1.0.0
 */

if ( ! defined( 'ABSPATH' ) ) {
	exit; // Exit if accessed directly
}

function barberpro_set_wpb_mods( $barberpro_mods ) {

	if ( class_exists( 'Wolf_Page_Builder' ) ) {
		$barberpro_mods['blog']['options']['newsletter'] = array(
			'id' =>'newsletter_form_single_blog_post',
			'label' => esc_html__( 'Newsletter Form', 'barberpro' ),
			'type' => 'checkbox',
			'description' => esc_html__( 'Display a newsletter sign up form at the bottom of each blog post.', 'barberpro' ),
		);

		$barberpro_mods['footer']['options']['footer_socials_services'] = array(
			'id' =>'footer_socials_services',
			'label' => esc_html__( 'Footer Socials', 'barberpro' ),
			'description' => sprintf( wp_kses(
				__( 'Enter the social networks names separated by a comma. e.g "twitter, facebook, instagram". ( see Wolf Page Builder options <a href="%s">social profiles tab</a>).', 'barberpro' ),
					array( 'a' => array( 'href' => array(), ) )
				),
				esc_url( admin_url( 'admin.php?page=wpb-socials' ) )
			),
			'type' => 'text',
		);

		$barberpro_mods['light_background'] = array(
			'id' =>'light_background',
			'description' => esc_html__( 'Here you can set a custom background that will be used for the "light" page builder sections.', 'barberpro' ),
			'label' => esc_html__( 'Page Builder Light Background', 'barberpro' ),
			'background' => true,
		);

		$barberpro_mods['dark_background'] = array(
			'id' =>'dark_background',
			'description' => esc_html__( 'Here you can set a custom background that will be used for the "dark" page builder sections.', 'barberpro' ),
			'label' => esc_html__( 'Page Builder Dark Background', 'barberpro' ),
			'background' => true,
		);
	}

	return $barberpro_mods;
}
add_filter( 'barberpro_customizer_options', 'barberpro_set_wpb_mods' );